#!/usr/bin/env python

import os

from gi.repository import Gtk
from sugar3.graphics.iconentry import IconEntry

def set_theme():
    settings = Gtk.Settings.get_default()
    sugar_theme = 'sugar-72'
    if 'SUGAR_SCALING' in os.environ:
        if os.environ['SUGAR_SCALING'] == '100':
            sugar_theme = 'sugar-100'
    settings.set_property('gtk-theme-name', sugar_theme)
    settings.set_property('gtk-icon-theme-name', 'sugar')


def main():
    window = Gtk.Window()

    iconentry = IconEntry()
    iconentry.set_icon_from_name(
        Gtk.EntryIconPosition.PRIMARY,
        'system-search'
    )

    # set_theme()
    iconentry.set_icon_from_name(
        Gtk.EntryIconPosition.SECONDARY,
        'system-search'
    )


    # iconentry.set_icon_from_name(
    #     Gtk.EntryIconPosition.SECONDARY,
    #     'dialog-cancel'
    # )

    # iconentry.add_clear_button()

    window.add(iconentry)

    window.connect("destroy", Gtk.main_quit)
    window.show_all()
    Gtk.main()

if __name__ == "__main__":
    main()
